## import modules
import numpy as np
from scipy.fftpack import fft, fftfreq, fftshift
import matplotlib.pyplot as plt

## number of signal points
N = 400

## sample spacing
T = 1.0 / 800.0

## generate the functions
x = np.linspace(0.0, N*T, N)
y = np.exp(50.0 * 1.j * 2.0*np.pi*x) + 0.5*np.exp(-80.0 * 1.j * 2.0*np.pi*x)

## FFT
yf = fft(y)
xf = fftfreq(N, T)
xf = fftshift(xf)

## plot the results
yplot = fftshift(yf)
plt.plot(xf, 1.0/N * np.abs(yplot))
plt.grid()
plt.show()
